module.exports = (sequelize, DataTypes) => {
	const Faqs = sequelize.define(
		'Faqs',
		{
			id: {
				type: DataTypes.UUID,
				defaultValue: DataTypes.UUIDV4,
				allowNull: false,
				primaryKey: true,
			},
			question: {
				type: DataTypes.TEXT('long'),
				allowNull: false,
			},
			answer: {
				type: DataTypes.TEXT('long'),
				allowNull: false,
			},
			order: {
				type: DataTypes.INTEGER,
				allowNull: false,
			},
			createdAt: {
				type: DataTypes.DATE,
				defaultValue: DataTypes.NOW,
			},
		},
		{
			tableName: 'faqs',
			timestamps: false,
		},
	);

	return Faqs;
};
